package com.blamejared.compat.botania.lexicon.commands;

import com.blamejared.compat.botania.BotaniaHelper;
import crafttweaker.CraftTweakerAPI;
import crafttweaker.mc1120.commands.CraftTweakerCommand;
import crafttweaker.mc1120.commands.SpecialMessagesChat;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import net.minecraft.command.ICommandSender;
import net.minecraft.server.MinecraftServer;
import vazkii.botania.api.BotaniaAPI;
import vazkii.botania.api.lexicon.LexiconEntry;
import vazkii.botania.api.lexicon.LexiconPage;

public class LexiconPageLogger extends CraftTweakerCommand {
   public LexiconPageLogger() {
      super("botlexpages");
   }

   public void executeCommand(MinecraftServer server, ICommandSender sender, String[] arguments) {
      LexiconEntry entry = null;
      if (arguments.length > 0) {
         entry = BotaniaHelper.findEntry(arguments[0]);
         if (entry == null) {
            CraftTweakerAPI.getLogger().logError("Entry not found (" + arguments[0] + ")");
            return;
         }
      }

      List<LexiconPage> pages = new ArrayList();
      Iterator var6;
      if (entry != null) {
         pages.addAll(entry.pages);
      } else {
         var6 = BotaniaAPI.getAllEntries().iterator();

         while(var6.hasNext()) {
            LexiconEntry current_Entry = (LexiconEntry)var6.next();
            pages.addAll(current_Entry.pages);
         }
      }

      CraftTweakerAPI.logCommand("Botania Lexicon Pages");
      var6 = pages.iterator();

      while(var6.hasNext()) {
         LexiconPage page = (LexiconPage)var6.next();
         CraftTweakerAPI.logCommand(page.getUnlocalizedName() + " (" + page.getClass() + ")");
      }

      if (sender != null) {
         sender.func_145747_a(SpecialMessagesChat.getLinkToCraftTweakerLog("List generated;", sender));
      }

   }

   protected void init() {
   }
}
